<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns="http://www.w3.org/TR/REC-html40"> 

<xsl:output method="html"/>

<xsl:template match="/">
  <html>
  <head>
    <title> TOC - DOM1 reference (examples) </title>
    <link href="CSS/style.css" rel="stylesheet" type="text/css"/>
  </head>
  <body>
  
    <table width="100%">
       <tr class="menu">
          <td>
             &#160;&#160;<a class="menu" href="interfaceIndex.html">interfaces</a><br />
             &#160;&#160;<a class="menu" href="attributeIndex.html">attributes</a><br />
             &#160;&#160;<a class="menu" href="methodIndex.html">methods</a>
          </td>
       </tr>
       <tr class="menu">
         <td align="right"><a class="menuon" href="exampleIndex.html">(examples)</a>&#160;&#160;</td>
       </tr>
       <xsl:apply-templates select="//interface/method|//interface/attribute">
         <xsl:sort select="@name"/>
       </xsl:apply-templates>
     </table>
     
   </body>
   </html>
</xsl:template>

<xsl:template match="//interface/attribute">
  <xsl:variable name="desiredExample"><xsl:value-of select="@name"/></xsl:variable>
  <xsl:variable name="desiredInterface"><xsl:value-of select="../@name"/></xsl:variable>
  <tr><td><a class="attributeFg" href="examples/{$desiredInterface}_{$desiredExample}.html" target="mainWindow" title="interface {$desiredInterface}"><xsl:value-of select="@name"/></a></td></tr>
</xsl:template>

<xsl:template match="//interface/method">
  <xsl:variable name="desiredExample"><xsl:value-of select="@name"/></xsl:variable>
  <xsl:variable name="desiredInterface"><xsl:value-of select="../@name"/></xsl:variable>
  <tr><td><a class="methodFg" href="examples/{$desiredInterface}_{$desiredExample}.html" target="mainWindow" title="interface {$desiredInterface}"><xsl:value-of select="@name"/></a></td></tr>
</xsl:template>

</xsl:stylesheet>
